Limit number of documents to remove

- « CollectionRemove::execute

- CollectionRemove::sort »

- PHP Manual
- mysql_xdevapi\CollectionRemove
- Limit number of documents to remove

# CollectionRemove::limit

(No version information available, might only be in Git)

CollectionRemove::limit — Limit number of documents to remove

### Description

public mysql_xdevapi\CollectionRemove::limit(int `$rows`): mysql_xdevapi\CollectionRemove

Sets the maximum number of documents to remove.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`rows`

  The maximum number of documents to remove.

### Return Values

Returns a CollectionRemove object that can be used to execute the command, or to add additional operations.

### Examples

Example #1 mysql_xdevapi\CollectionRemove::limit() example

    <?php

    $res = $coll->remove('job in (\'Barista\', \'Programmatore\', \'Ballerino\', \'Programmatrice\')')->limit(5)->sort(['age desc', 'name asc'])->execute();

    ?>